Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1888593 - [External] Add validation for monitoring-endpoint and port in the exporter script
Summary: [External] Add validation for monitoring-endpoint and port in the exporter sc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: rook
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 4.6.0
Assignee: arun kumar mohan
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-15 09:44 UTC by Rachael
Modified: 2021-06-01 08:42 UTC (History)
7 users (show)

Fixed In Version: 4.6.0-153.ci
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-17 06:24:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift rook pull 143 0 None closed Bug 1888593: Release 4.6 monitoring endpoint checks 2020-11-25 07:23:46 UTC
Github rook rook pull 6473 0 None closed ceph: added additional checks on accepting monitoring endpoint 2020-11-25 07:23:46 UTC
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:25:07 UTC

Comment 2 Mudit Agarwal 2020-10-15 12:27:39 UTC
Seb/Arun, is this something we can/should fix in the script?

FYI: It resulted in https://bugzilla.redhat.com/show_bug.cgi?id=1888614 otherwise it could have been handled in ocs-operator.

Comment 3 Sébastien Han 2020-10-19 07:49:43 UTC
This can be fixed in the script, assigning to Arun. Thanks

Comment 4 Neha Berry 2020-10-19 13:29:21 UTC
Proposing it as a blocker based on Comment#3 as it can be fixed and it would be beneficial to have this check in place.

Thanks @muagarwa@redhat.com for the confirmation too.

Comment 5 Mudit Agarwal 2020-10-20 08:21:36 UTC
Added dev_ack

Comment 8 arun kumar mohan 2020-10-22 15:56:29 UTC
PR: https://github.com/rook/rook/pull/6473 , under review

Comment 12 errata-xmlrpc 2020-12-17 06:24:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605


Note You need to log in before you can comment on or make changes to this bug.